Index: palm/trunk/SOURCE/chem_emissions_mod.f90
===================================================================
--- palm/trunk/SOURCE/chem_emissions_mod.f90	(revision 3458)
+++ palm/trunk/SOURCE/chem_emissions_mod.f90	(revision 3467)
@@ -27,4 +27,8 @@
 ! -----------------
 ! $Id$
+! Enabled PARAMETRIZED mode for default surfaces when LSM is not applied but 
+! salsa is used
+! 
+! 3458 2018-10-30 14:51:23Z kanani
 ! from chemistry branch r3443, banzhafs, Russo:
 ! Additional correction for index of input file of pre-processed mode
@@ -885,4 +889,6 @@
    USE indices,                                                               &
        ONLY: nnx,nny,nnz 
+   USE salsa_mod,                                                             &
+       ONLY:  salsa
    USE surface_mod,                                                           &
        ONLY:  surf_lsm_h,surf_def_h,surf_usm_h
@@ -1366,5 +1372,5 @@
 
        !> Streets are lsm surfaces, hence, no usm surface treatment required
-             IF (surf_lsm_h%ns .GT. 0) THEN
+             IF (surf_lsm_h%ns .GT. 0 ) THEN
                 DO  m = 1, surf_lsm_h%ns
                    i = surf_lsm_h%i(m)
@@ -1442,4 +1448,73 @@
                    !> If no street type is defined, then assign null emissions to all the species
                       surf_lsm_h%cssws(:,m) = 0.0_wp
+
+                   ENDIF
+
+                ENDDO
+             ELSEIF ( salsa ) THEN
+                DO  m = 1, surf_def_h(0)%ns
+                   i = surf_def_h(0)%i(m)
+                   j = surf_def_h(0)%j(m)
+                   k = surf_def_h(0)%k(m)
+
+
+                   IF ( street_type_f%var(j,i) >= main_street_id  .AND.        &
+                        street_type_f%var(j,i) < max_street_id )               &
+                   THEN
+
+                      !> Cycle over already matched species
+                      DO  ispec=1,nspec_out
+
+                         !> PMs are already in mass units:micrograms: have to be converted to kilograms 
+                         IF ( TRIM(spc_names(match_spec_model(ispec)))=="PM1"       &
+                              .OR. TRIM(spc_names(match_spec_model(ispec)))=="PM25" &
+                              .OR. TRIM(spc_names(match_spec_model(ispec)))=="PM10")&
+                         THEN
+                                  
+                            surf_def_h(0)%cssws(match_spec_model(ispec),m) =   &
+                                  emiss_factor_main(match_spec_input(ispec)) * &
+                                  emis_distribution(1,j,i,ispec) * rho_air(k) /&
+                                  time_factor(1)
+                         ELSE
+
+                         !> Other Species: inputs are micromoles: have to be converted              
+                            surf_def_h(0)%cssws(match_spec_model(ispec),m) =   &
+                               emiss_factor_main(match_spec_input(ispec)) *    &
+                               emis_distribution(1,j,i,ispec) *                &
+                               conv_to_ratio(k,j,i) *  rho_air(k) / time_factor(1)
+                         ENDIF
+                      ENDDO
+
+                   ELSEIF ( street_type_f%var(j,i) >= side_street_id  .AND.    &
+                            street_type_f%var(j,i) < main_street_id )          &
+                   THEN
+
+                   !> Cycle over already matched species
+                      DO  ispec=1,nspec_out
+
+                         !> PMs are already in mass units: micrograms
+                         IF ( TRIM(spc_names(match_spec_model(ispec)))=="PM1"   &
+                              .OR. TRIM(spc_names(match_spec_model(ispec)))=="PM25" &
+                              .OR. TRIM(spc_names(match_spec_model(ispec)))=="PM10")&
+                         THEN
+
+                            surf_def_h(0)%cssws(match_spec_model(ispec),m) =   &
+                               emiss_factor_side(match_spec_input(ispec)) *    &
+                               emis_distribution(1,j,i,ispec) * rho_air(k) /   &
+                               time_factor(1)  
+                         ELSE
+               
+                            surf_def_h(0)%cssws(match_spec_model(ispec),m) =   &
+                               emiss_factor_side(match_spec_input(ispec)) *    &
+                               emis_distribution(1,j,i,ispec) *                &
+                               conv_to_ratio(k,j,i) * rho_air(k) / time_factor(1)
+                         ENDIF
+
+                      ENDDO
+
+                   ELSE
+
+                   !> If no street type is defined, then assign null emissions to all the species
+                      surf_def_h(0)%cssws(:,m) = 0.0_wp
 
                    ENDIF
